plugins:
  ## RBAC
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-rbac
  ## Keycloak
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-catalog-backend-module-keycloak-dynamic
  ## K8S topology
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-topology
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-plugin-kubernetes-backend-dynamic
    pluginConfig:
      kubernetes:
        customResources:
          - group: 'route.openshift.io'
            apiVersion: 'v1'
            plural: 'routes'
        serviceLocatorMethod:
          type: 'multiTenant'
        clusterLocatorMethods:
          - type: 'config'
            clusters:
              - name: 'Cluster Sviluppo'
                url: ${K8S_CLUSTER_URL}
                authProvider: 'serviceAccount'
                skipTLSVerify: true
                serviceAccountToken: ${token}
              - name: 'Cluster Laboratorio'
                url: ${K8S_CLUSTER_LAB_URL}
                authProvider: 'serviceAccount'
                skipTLSVerify: true
                serviceAccountToken: ${token_sa_lab} 

  - disabled: false
    package: ./dynamic-plugins/dist/backstage-plugin-kubernetes
    pluginConfig:
      dynamicPlugins:
        frontend:
          backstage.plugin-kubernetes:
            mountPoints:
              - mountPoint: entity.page.kubernetes/cards
                importName: EntityKubernetesContent
                config:
                  layout:
                    gridColumn: "1 / -1"
                  if:
                    anyOf:
                      - hasAnnotation: backstage.io/kubernetes-id
                      - hasAnnotation: backstage.io/kubernetes-namespace
  ## Azure DevOps repository
  - disabled: false
    package: ./dynamic-plugins/dist/parfuemerie-douglas-scaffolder-backend-module-azure-repositories-dynamic

  - disabled: true 
    package: "@parfuemerie-douglas/scaffolder-backend-module-azure-pipelines@1.3.0"
    integrity: sha512-RExI5AXYd8NAOa2R6o04610PitueivatJ4gIom2zxK58OJ/JI5a6C3sIkvZvR3TO1n8H4OZhajEZ5qfcXcE4Sw== 

  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-azure-devops-backend-dynamic

  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-azure-devops

  - disabled: false
    package: ./dynamic-plugins/dist/backstage-plugin-scaffolder-backend-module-azure-dynamic

  ## SonarQube
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-sonarqube

  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-sonarqube-backend-dynamic

  ## QUAY
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-quay

  ## TechDocs
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-plugin-techdocs-backend-dynamic
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-plugin-techdocs

  ## Scaffolder action HTTP request 
  - disabled: false
    package: "@roadiehq/plugin-scaffolder-frontend-module-http-request-field@1.8.1"
    integrity: sha512-tggotH1dnsMrcWU7HJKbJHbbtA4Cc/pJUF3USg2/lHw55Oq1JqQ2+YyAy1v/Flh2SUWHd554Mt5U0VyMI/VHfQ==
  - disabled: false
    package: ./dynamic-plugins/dist/roadiehq-scaffolder-backend-module-utils-dynamic
  - disabled: false
    package: ./dynamic-plugins/dist/roadiehq-scaffolder-backend-module-http-request-dynamic

  ## Dynatrace
  - disabled: false
    package: ./dynamic-plugins/dist/backstage-community-plugin-dynatrace

  ### Orchestrator 
  - disabled: false
    package: "@redhat/backstage-plugin-orchestrator-backend-dynamic@1.5.1"
    integrity: sha512-VIenFStdq9QvvmgmEMG8O7b2wqIebvEcqNeJ9SWZ8jen9t+efTK6D3Rde74LQ1no1QaHLx8RoxNCOuTUEF8O/g==        
    pluginConfig:
      orchestrator:
        dataIndexService:
          url: http://sonataflow-platform-data-index-service.sonataflow-infra.svc.cluster.local

  - disabled: false
    #forceDownload: true
    package: "@redhat/backstage-plugin-orchestrator@1.5.1"
    integrity: sha512-7VOe+XGTUzrdO/av0DNHbydOjB3Lo+XdCs6fj3JVODLP7Ypd3GXHf/nssYxG5ZYC9F1t9MNeguE2bZOB6ckqTA==
    pluginConfig:
      dynamicPlugins:
        frontend:
          red-hat-developer-hub.backstage-plugin-orchestrator:
            appIcons:
              - importName: OrchestratorIcon
                module: OrchestratorPlugin
                name: orchestratorIcon
            dynamicRoutes:
              - importName: OrchestratorPage
                menuItem:
                  icon: orchestratorIcon
                  text: Orchestrator
                module: OrchestratorPlugin
                path: /orchestrator

  - disabled: false
    package: "@redhat/backstage-plugin-scaffolder-backend-module-orchestrator-dynamic@1.5.1"
    integrity: sha512-bnVQjVsUZ470Vgm2kd5Lo/bVa2fF0q4GufBDc/8oTQsnP3zZJQqKFvFElBTCjY76RqkECydlvZ1UFybSzvockQ==
    pluginConfig:
      orchestrator:
        dataIndexService:
          url: http://sonataflow-platform-data-index-service.sonataflow-infra.svc.cluster.local

  #Notifications
  - disabled: false
    package: "./dynamic-plugins/dist/backstage-plugin-notifications"
    pluginConfig:
      dynamicPlugins:
        frontend:
          backstage.plugin-notifications:
            dynamicRoutes:
              - importName: NotificationsPage
                menuItem:
                  config:
                    props:
                      titleCounterEnabled: true
                      webNotificationsEnabled: false
                  importName: NotificationsSidebarItem
                path: /notifications

  - disabled: true
    package: "@backstage/plugin-scaffolder-backend-module-notifications"
  - disabled: false
    package: "./dynamic-plugins/dist/backstage-plugin-notifications-backend-dynamic"
  - disabled: false
    package: "./dynamic-plugins/dist/backstage-plugin-signals"
  - disabled: false
    package: "./dynamic-plugins/dist/backstage-plugin-signals-backend-dynamic"
